MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030564Community[OCCT] OCCT:Codingpublic2019-03-13 01:352019-03-19 10:33
Reportergalbramc 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 5.2.2 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030564: Coding - math_Gauss uninitialized 'Singular' member variable
DescriptionI got the following error running with OCCT 7.3.0 compiled with -fsanitize=undefined:

src/math/math_Gauss.hxx:43:7: runtime error: load of value 156, which is not a valid value for type 'bool'

Initializing 'Singular' in the constructor resolved this issue. Notably 'Singular' does not appear to be used at all in the class...
Steps To ReproduceCompile OCCT 7.3.0 with -fsanitize=undefined and run the test suite.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0030557newkgv Open CASCADE Coding - eliminate errors reported by -fsanitize 

-  Notes
(0082887)
git (administrator)
2019-03-13 07:55

Branch CR30564 has been created by kgv.

SHA-1: ff1a9501d05da740074577bad046435d00fe4482


Detailed log of new commits:

Author: kgv
Date: Wed Mar 13 07:49:59 2019 +0300

    0030564: Coding - math_Gauss uninitialized 'Singular' member variable
    
    Removed unused class field Singular.
(0082894)
kgv (developer)
2019-03-13 09:58

Please raise the patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30564-master-KGV/view/COMPARE/ [^]
(0082906)
apn (administrator)
2019-03-13 11:50

Combination -
OCCT branch : CR30564
master SHA - ff1a9501d05da740074577bad046435d00fe4482
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - 19cf12d4f918562ea1456aa224c6f7a64b9c4ad7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16615.46999999998 / 16599.24999999996 [+0.10%]
Products
Total CPU difference: 9089.820000000022 / 9092.71000000004 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 18003.609375 / 17985.28125 [+0.10%]
Products
Total CPU difference: 10497.203125 / 10460.953125 [+0.35%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083084)
git (administrator)
2019-03-19 10:33

Branch CR30564 has been deleted by inv.

SHA-1: ff1a9501d05da740074577bad046435d00fe4482

- Related Changesets
occt: master 5716d13b
Timestamp: 2019-03-13 04:49:59
Author: kgv
Committer: apn
Details ] Diff ]
0030564: Coding - math_Gauss uninitialized 'Singular' member variable

Removed unused class field Singular.
mod - src/math/FILES Diff ] File ]
mod - src/math/math_Gauss.cxx Diff ] File ]
mod - src/math/math_Gauss.hxx Diff ] File ]
rm - src/math/math_Gauss.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-13 01:35 galbramc New Issue
2019-03-13 01:35 galbramc Assigned To => kgv
2019-03-13 07:43 kgv Relationship added child of 0030557
2019-03-13 07:55 git Note Added: 0082887
2019-03-13 09:58 kgv Note Added: 0082894
2019-03-13 09:58 kgv Assigned To kgv => bugmaster
2019-03-13 09:58 kgv Severity minor => trivial
2019-03-13 09:58 kgv Status new => resolved
2019-03-13 09:58 kgv Product Version 7.3.0 => 5.2.2
2019-03-13 09:58 kgv Target Version => 7.4.0
2019-03-13 09:58 kgv Status resolved => reviewed
2019-03-13 11:50 apn Test case number => Not needed
2019-03-13 11:50 apn Note Added: 0082906
2019-03-13 11:50 apn Status reviewed => tested
2019-03-17 15:40 apn Changeset attached => occt master 5716d13b
2019-03-17 15:40 apn Assigned To bugmaster => apn
2019-03-17 15:40 apn Status tested => verified
2019-03-17 15:40 apn Resolution open => fixed
2019-03-19 10:33 git Note Added: 0083084


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker